# Uses of Enum Class
org.apache.wiki.ProductUpdateChecker.Status

Packages that use ProductUpdateChecker.Status
Package
Description
org.apache.wiki
The chief package of JSPWiki.

## Uses of ProductUpdateChecker.Status in org.apache.wiki

Methods in org.apache.wiki that return ProductUpdateChecker.Status
Modifier and Type
Method
Description
`ProductUpdateChecker.Status`
ProductUpdateChecker.UpdateStatus.`getIsUpToDate()`
`static ProductUpdateChecker.Status`
ProductUpdateChecker.Status.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ProductUpdateChecker.Status[]`
ProductUpdateChecker.Status.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.